%{?nodejs_find_provides_and_requires}
%global enable_tests 1

Name:           nodejs-foreach
Version:        2.0.5
Release:        %mkrel 2
Summary:        Iterate over the key value pairs of an object
Group:          Development/Other
License:        MIT
URL:            https://github.com/manuelstofer/foreach
Source0:        https://registry.npmjs.org/foreach/-/foreach-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch

BuildRequires:  nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:  npm(tape)
%endif

%description
Iterate over the key value pairs of either an array-like
object or a dictionary like object.


%prep
%setup -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/foreach
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/foreach
%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
%{__nodejs} test.js
%endif

%files
%{!?_licensedir:%global license %doc}
%doc Readme.md
%license LICENSE
%{nodejs_sitelib}/foreach



%changelog
* Wed May 25 2016 neoclust <neoclust> 2.0.5-2.mga6
+ Revision: 1018349
- Enable tests

* Tue May 17 2016 joequant <joequant> 2.0.5-1.mga6
+ Revision: 1016341
- imported package nodejs-foreach

